Name:           nautilus-python
Version:        4.0
Release:        1
Summary:        Python bindings for Nautilus

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/NautilusPython
Source0:        https://download.gnome.org/sources/%{name}/4.0/%{name}-%{version}.tar.xz

BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  nautilus-devel
BuildRequires:  pygobject3-devel
BuildRequires:  python3-devel

Requires:       nautilus-extensions
Requires:       python3-gobject-base%{?_isa}

Provides:       python3-nautilus = %{version}-%{release}
Provides:       python3-nautilus%{?_isa} = %{version}-%{release}

%description
Python bindings for Nautilus


%package devel
Summary:        Python bindings for Nautilus
Requires:       %{name}%{?_isa} = %{version}-%{release}

Provides:       python3-nautilus-devel = %{version}-%{release}
Provides:       python3-nautilus-devel%{?_isa} = %{version}-%{release}

%description devel
Python bindings for Nautilus


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%meson
%meson_build


%install
%meson_install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nautilus-python/extensions
rm -rfv $RPM_BUILD_ROOT%{_docdir}


%files
%license COPYING
%doc AUTHORS NEWS.md README.md
%{_libdir}/nautilus/extensions-4/libnautilus-python.so
%dir %{_datadir}/nautilus-python/extensions

%files devel
%doc examples/
%{_datadir}/pkgconfig/nautilus-python.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/nautilus-python/


%changelog
* Tue Apr 16 2024 peijiankang <peijiankang@kylinos.cn> - 4.0-1
- init package version to 4.0

